Loading...
Searching...
No Matches
Preprocessor String Macros
libavutil » Other

String manipulation macros More...

## Macros

#define | AV_STRINGIFY(s)
#define | AV_TOSTRING(s)
#define | AV_GLUE(a, b)
#define | AV_JOIN(a, b)

## Detailed Description

String manipulation macros

## Macro Definition Documentation

## AV_STRINGIFY

#define AV_STRINGIFY | ( |  | s | ) |

Value:
AV_TOSTRING(s)
AV_TOSTRING
#define AV_TOSTRING(s)
Definition macros.h:67

Examples
  filter_audio.c.

Definition at line 66 of file macros.h.

Referenced by init_filter_graph().

## AV_TOSTRING

#define AV_TOSTRING | ( |  | s | ) |

Value:
#s

Definition at line 67 of file macros.h.

## AV_GLUE

#define AV_GLUE | ( |  | a,
|  |  | b )

Value:
a ## b

Definition at line 69 of file macros.h.

## AV_JOIN

#define AV_JOIN | ( |  | a,
|  |  | b )

Value:
AV_GLUE(a, b)
AV_GLUE
#define AV_GLUE(a, b)
Definition macros.h:69

Definition at line 70 of file macros.h.